# Really this pod is for running manual commands. It just sits there in a sleep loop waiting to connect.
# I use it will tools like dig or psycopg2 to test out DNS and such within my cluster.
apiVersion: v1
kind: Pod
metadata:
  name: cmd-demo
  labels:
    purpose: demonstrate-command
spec:
  containers:
    - name: cmd-demo
      image: python:3.8.11-buster
      command: ['sleep']
      args: ['infinity']
  restartPolicy: OnFailure
